<?php 
    include("../config.php");
    include("../Datatable.php");


    $obj = new Datatable($conn);

    $obj->aColumns      = array('code', 'date', 'supplier_id', 'net_amount', 'created_id');
    $obj->eColumns      = array('id');
    $obj->sIndexColumn  = "id";
    $obj->sTable        = "credit_note";
    $obj->myWhere       = "WHERE company_id = '".$_SESSION['company_id']."' AND branch_id = '".$_SESSION['branch_id']."'";
    $obj->datatable_process();
    
    $cou = 0;
    if(isset($_GET['iDisplayStart'])) {
        $cou = $_GET['iDisplayStart'];
    }
    $master_user   = combine(getAllRecords('users'), 'id', 'name');
    $master_vendor = combine(getAllRecords('vendor_master'), 'id', 'name');
    while ($aRow = mysqli_fetch_array($obj->rResult)) {
        $temp_arr = array();
        $temp_arr[] = ++$cou;
        $temp_arr[] = $aRow['code'];
        $temp_arr[] = risFormatDate($aRow['date'],'d-m-Y');
        $temp_arr[] = @$master_vendor[$aRow['supplier_id']];
        $temp_arr[] = customFormatMoney($aRow['net_amount']);
        $temp_arr[] = @$master_user[$aRow['created_id']];

        $str = '';
        if( hasPermission($_SESSION['user_detail']['role_id'], 'credit_note_edit') ) {
        $str .= '<a href="index.php?page=credit_note/manage.php&p1='.$aRow['id'].'" name="edit" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="EDIT...!!"><em class="fa fa-pencil"></em></a>&nbsp;';
        }

        if( hasPermission($_SESSION['user_detail']['role_id'], 'credit_note_delete') ) {
        $str .= '<button type="button" class="btn btn-danger delete_data" id="'.$aRow["id"].'" data-toggle="tooltip" data-placement="top" title="DELETE...!!" onclick="confirmDelete(this);"><em class="fa fa-trash"></em></button>';
        }
        $temp_arr[] = $str;

        $obj->output['aaData'][] = $temp_arr;
    }

    echo json_encode($obj->output);
    exit();
?>